summaryrefslogtreecommitdiffstats
path: root/source/a/syslinux
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/syslinux')
-rw-r--r--source/a/syslinux/syslinux-3.84.tar.bz2.sign8
-rw-r--r--source/a/syslinux/syslinux-4.05.tar.sign17
-rwxr-xr-xsource/a/syslinux/syslinux.SlackBuild8
-rw-r--r--source/a/syslinux/syslinux.altmbr.diff11
4 files changed, 33 insertions, 11 deletions
diff --git a/source/a/syslinux/syslinux-3.84.tar.bz2.sign b/source/a/syslinux/syslinux-3.84.tar.bz2.sign
deleted file mode 100644
index 987a8ed9b..000000000
--- a/source/a/syslinux/syslinux-3.84.tar.bz2.sign
+++ /dev/null
@@ -1,8 +0,0 @@
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v1.4.9 (GNU/Linux)
-Comment: See http://www.kernel.org/signature.html for info
-
-iD8DBQBLLBRQyGugalF9Dw4RAmsiAJ9geAzuilvLYCEc03sP1mJLG77UaQCeJlV+
-TgEccKCkyIkwwpBYDHesUjA=
-=1AUa
------END PGP SIGNATURE-----
diff --git a/source/a/syslinux/syslinux-4.05.tar.sign b/source/a/syslinux/syslinux-4.05.tar.sign
new file mode 100644
index 000000000..892883aee
--- /dev/null
+++ b/source/a/syslinux/syslinux-4.05.tar.sign
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.11 (GNU/Linux)
+
+iQIcBAABAgAGBQJO4mUDAAoJEIiuZH1Y96v+Dg8P/1Pn+22CIUHfgPtDse6U1+Wj
+A7/c5AdtezK/UQlhCh/Po7mRdCGzm/Tb6pCnHOWvpEFMeRQARGx5ElqDUmH1Y6SW
+NGrPxwj40eTdVrA6TE9/Jj1QkKnFZGTTzsSm5njt06cJM1s0kABlyS0MEx++YGyX
+hEnO5C6oyfh30KkTsUFLljFev1wz5FdQVHtL4e0//dh5KXgulPCIDEufIdvdIM1o
+4RB2vTwpcxm1Fuqd9Th73pD1u4V9mjCwKEazKpmmCkwebn6KAzyUlcKxXMUG+Q4C
+mbqRDlNCL8ia9LajJKj00wz0428M3eIT9kVxROYWdZnQGC0gDbcD8/6AAvt06bL+
+ZrlUGl02JASMk2lO9QVp74zTdlnTKQef3V9/SIPk2zLcYuVsKni87ZnEEhDke6vn
+DF4S2OySfZjBw7ohou7fkbiw/1uJTYLbh9gXXgEi+GKRkLEmEzrjalRc5I9X+D18
+kEg2rMZS4bpTKTk9IZEsCncyaO8tGrevLiMijoRnqDqzOPGjnYLBDrm+rNNn4cQ9
+biiF19uapF97goGzC315PKHKeMohFWhk3YGIUIwFzzShC0bKAYaZmMWC5Dcj1Udw
+XOo0/CL0uRuneS5z4TfN4mh0nVZTTgUeY3n2SbIEpTPGJdT+GGGGg06uq9PpY5WS
+Jx4uX40HrNIAw2qaR+fY
+=gTaU
+-----END PGP SIGNATURE-----
diff --git a/source/a/syslinux/syslinux.SlackBuild b/source/a/syslinux/syslinux.SlackBuild
index 1e7baad75..e7ec5fbbb 100755
--- a/source/a/syslinux/syslinux.SlackBuild
+++ b/source/a/syslinux/syslinux.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=syslinux
-VERSION=${VERSION:-3.84}
+VERSION=${VERSION:-4.05}
BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
@@ -43,9 +43,11 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xjvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
cd ${PKGNAM}-$VERSION
+zcat $CWD/syslinux.altmbr.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
diff --git a/source/a/syslinux/syslinux.altmbr.diff b/source/a/syslinux/syslinux.altmbr.diff
new file mode 100644
index 000000000..ee2dfbee1
--- /dev/null
+++ b/source/a/syslinux/syslinux.altmbr.diff
@@ -0,0 +1,11 @@
+--- ./mbr/altmbr.S.orig 2011-12-09 12:28:17.000000000 -0600
++++ ./mbr/altmbr.S 2012-08-17 17:10:33.903688084 -0500
+@@ -204,7 +204,7 @@
+ 5:
+ decb (partition)
+ jz boot
+- addw $16, %bx
++ addw $16, %si
+ loopw 5b
+
+ popw %cx /* %cx <- 4 */